var five = require("../lib/johnny-five.js"),
    keypress = require("keypress"),
    board = new five.Board();

board.on("ready", function() {
  var isStepping, commands, stepper;

  isStepping = false;
  steps = 1;
  commands = null;
  stepper = new five.Stepper({
    type: five.Stepper.TYPE.DRIVER,
    stepsPerRev: 200,
    pins: [ 11, 12 ]
  });

  this.repl.inject({
    stepper: stepper
  });

  function controller( ch, key ) {

    if ( isStepping ) {
      return;
    }

    if ( key ) {
      if ( key.name === "right" ) {
        isStepping = true;
        stepper.cw().step(steps, function() {
          isStepping = false;
        });
      }

      if ( key.name === "left" ) {
        isStepping = true;
        stepper.ccw().step(steps, function() {
          isStepping = false;
        });
      }

      commands = [].slice.call(arguments);
    } else {
      if ( ch >= 1 && ch <= 9 ) {
        steps = five.Fn.scale( ch, 1, 9, 1, 200 );
      }
    }
  }

  keypress(process.stdin);

  process.stdin.on("keypress", controller);
  process.stdin.setRawMode(true);
  process.stdin.resume();
});
